using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using AR;

namespace Project
{

    public class SystemSetting : arUtil.Setting
    {
        public int SaftySensor_Threshold { get; set; }

        #region "System Setting"
        public int MotaxisCount { get; set; }
        #endregion

        #region "Signal Reverse"
       

        [Category("Signal Reverse")]
        public Boolean ReverseSIG_Emgergency { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_ButtonAir { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_DoorF { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_DoorR { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_AirCheck { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortLimitUp { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortLimitDn { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortDetect0Up { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortDetect1Up { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortDetect2Up { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PickerSafe { get; set; }

        [Category("Signal Reverse")]
        public Boolean ReverseSIG_ExtConvReady { get; set; }

        #endregion


        public SystemSetting()
        {
            this.filename = UTIL.CurrentPath + "system.xml";
        }
        public override void AfterLoad()
        {
             MotaxisCount = 7;
        }
        public override void AfterSave()
        {
            //throw new NotImplementedException();
        }
    }
}
